Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.uci.ics.jung.algorithms.shortestpath
Class DijkstraShortestPath.SourcePathData

    java.lang.Object
      edu.uci.ics.jung.algorithms.shortestpath.DijkstraDistance.SourceData
          edu.uci.ics.jung.algorithms.shortestpath.DijkstraShortestPath.SourcePathData

Enclosing class:
  DijkstraShortestPath

protected class DijkstraShortestPath.SourcePathData
extends DijkstraDistance.SourceData

For a given source vertex, holds the estimated and final distances, tentative and final assignments of incoming edges on the shortest path from the source vertex, and a priority queue (ordered by estimaed distance) of the vertices for which distances are unknown.

Author:
  Joshua O'Madadhain

Field Summary
`LinkedHashMap` | `incomingEdges`
`Map` | `tentativeIncomingEdges`

Fields inherited from class edu.uci.ics.jung.algorithms.shortestpath.DijkstraDistance.SourceData
`dist_reached, distances, estimatedDistances, reached_max, unknownVertices`

Constructor Summary
`DijkstraShortestPath.SourcePathData(ArchetypeVertex source)`

Method Summary
`void` | `createRecord(ArchetypeVertex w, ArchetypeEdge e, double new_dist)`
`Pair` | `getNextVertex()`
`void` | `update(ArchetypeVertex dest, ArchetypeEdge tentative_edge, double new_dist)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### tentativeIncomingEdges

    public Map tentativeIncomingEdges

### incomingEdges

    public LinkedHashMap incomingEdges

Constructor Detail

### DijkstraShortestPath.SourcePathData

    public DijkstraShortestPath.SourcePathData(ArchetypeVertex source)

Method Detail

### update

    public void update(ArchetypeVertex dest,
                       ArchetypeEdge tentative_edge,
                       double new_dist)

  Overrides:
    `update` in class `DijkstraDistance.SourceData`

### getNextVertex

    public Pair getNextVertex()

  Overrides:
    `getNextVertex` in class `DijkstraDistance.SourceData`

### createRecord

    public void createRecord(ArchetypeVertex w,
                             ArchetypeEdge e,
                             double new_dist)

  Overrides:
    `createRecord` in class `DijkstraDistance.SourceData`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD